Subject: Re: bug#30322: Emacs 26 seems to have entered an infinite loop during GC on macOS

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Oct 2019 23:33:05 +0200

John Wiegley <[email-masked]> writes:

> I was writing an e-mail to a colleague today when my Emacs window
> completely froze up, taking 100% CPU constantly.  Since it's still in
> that state now, I decided to fire up the stochastic profiler to see
> what it's doing.  I've attached the screenshot.
>
> It claims to be spending all its time in `lisp_align_free', behaving
> as if there's a CPU busy loop now taking place inside that
> function. Since very little time is being assigned to its callees, I
> believe an infinite loop has occurred here:

This was a year ago -- are you still seeing these hangs in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no